<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecuciÃ³n
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100194";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalizaciÃ³n 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width"/>
<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>

<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz GrÃ¡fica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAÃ±o = substr($TokEn, -28, 4);    // devuelve el aÃ±o
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el dÃ­a
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAÃ±o;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesiÃ³n del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesiÃ³n ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - AcreditaciÃ³n de SesiÃ³n Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
		///Arrastrar Valores
		$NoOrdenEn=strtoupper($_POST['txt_Orden']) or $NoOrdenEn=strtoupper($_GET['txt_Orden']);
		$NoTarimasEn=strtoupper($_POST['txt_NTarimas']) or $NoTarimasEn=strtoupper($_GET['txt_NTarimas']);
		
		///Identificar Existencia de la Orden
			$sql_BO2 = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'");
			if (mysql_numrows($sql_BO2)==0)
			{ ///Inicia IF Validador de Orden de Trabajo
				echo "<script>alert('La Orden de Trabajo ingresada no Existe.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
		
		///Identificar la Orden
			$sql_BO = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_BO)==0) echo "";
			else{
			$registro_BO=mysql_fetch_array($sql_BO);
			}
			if (mysql_numrows($sql_BO)>0)
			{
			$EdoOrd_BO=$registro_BO["ESTADO_ORDEN"];
			}
			
		///Identificar Si ya se dio de Alta un Armado de Tarima
			$sql_AT1 = mysql_query("select ID from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_AT1)==0)
			{ ///Inicia IF Validador de Armado de Tarima
				echo "<script>alert('La Orden de Trabajo ingresada no contiene un armado definido.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
				
		///Identificar el total de codigos diferentes con el cual cuenta la Orden de Trabajo
			$sql_CCOT = mysql_query("select COUNT(SKU) As CantCodOT from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'");
			if (mysql_numrows($sql_CCOT)==0) echo "";
			else{
			$registro_CCOT=mysql_fetch_array($sql_CCOT);
			}
			if (mysql_numrows($sql_CCOT)>0)
			{
			$TotCodOT_CCOT=$registro_CCOT["CantCodOT"];
			}
			
		///Identificar el total de codigos diferentes con el cual cuenta la Orden de Trabajo
			$sql_CCOT2 = mysql_query("select COUNT(SKU) As CantCodAT from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_CCOT2)==0) echo "";
			else{
			$registro_CCOT2=mysql_fetch_array($sql_CCOT2);
			}
			if (mysql_numrows($sql_CCOT2)>0)
			{
			$TotCodAT_CCOT2=$registro_CCOT2["CantCodAT"];
			}
			
		///Identificar su falta ingresar un codigo al armado de la tarima	
			if ($TotCodAT_CCOT2 < $TotCodOT_CCOT)
				{///Inicia IF Detecto de catidades en Armados de Tarima
					$Faltante = $TotCodOT_CCOT - $TotCodAT_CCOT2;
					echo "<script>alert('Falta ingresar $Faltante codigo(s) al armado de la Tarima.\\nFavor de corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
				}
				else
				{
					
		///Identificar incidencias en el # de Tarimas
			if ($NoTarimasEn == "")
				{///Inicia IF Incidencia en # de Tarimas 01
					echo "<script>alert('Favor de digitar el Numero de Tarimas por Recolectar.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo30.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn'";
				}
				else
				{
			
			if ($NoTarimasEn < "0")
				{///Inicia IF Incidencia en # de Tarimas 02
					echo "<script>alert('Favor de digitar un Número de Tarimas mayor a 0.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo30.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn'";
				}
				else
				{
		
////++++++++++++++ FIN CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Ordenes de Trabajo - Recolección</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">
            <?PHP
///######################### Analizador de Recolecciones #########################

$BarridoOk = "0";
$BarridoWl = "0";

///Barrer todos los Codigos existentes dentro de la Orden de Trabajo
			$sql_W0=mysql_query("Select PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND (ESTADO_LINEA<>'MAQUILADA' AND ESTADO_LINEA<>'CANCELADA')");
			while($res_W0=mysql_fetch_array($sql_W0))
				{///Inicia While 00
					$Pedime_w0 = $res_W0['PEDIMENTO_SOLICITADO'];
					$TipExt_w0 = $res_W0['TIPO_EXTRACCION'];
					$CodSku_w0 = $res_W0['SKU'];
					
					///Barrido general
					$BarridoWl = $BarridoWl + 1;
					
					///Identificar el armado de la tarima por Codigo/Pedimento/TipoExtraccion
					$sql_AR1 = mysql_query("select CANTIDAD_X_TARIMA from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w0' AND PEDIMENTO_SOLICITADO='$Pedime_w0' AND TIPO_EXTRACCION='$TipExt_w0'");					
					if (mysql_numrows($sql_AR1)==0) echo "";
					else{
					$registro_AR1=mysql_fetch_array($sql_AR1);
					}
					if (mysql_numrows($sql_AR1)>0)
					{
					$CanXTar_AR1=$registro_AR1["CANTIDAD_X_TARIMA"];
					}
					
					///Total de piezas por recolectar
					$TotPieAna = $NoTarimasEn * $CanXTar_AR1;
						
					///Identificar el total de piezas del pallet Padre del cual recolectaremos
					$sql_AR2 = mysql_query("select CANTIDAD from tabla_inventario where CVE_CUENTA='$CveCueCR1' AND SKU='$CodSku_w0' AND LOTEPRODU='$Pedime_w0' AND CANTIDAD>'0' AND UBICACION='200-1-1-1' AND EDO_CALIDAD='M' AND TIPO_ALMACEN='$TipExt_w0' Order By ID ASC Limit 0,1");
					if (mysql_numrows($sql_AR2)==0) 
					{
					$Cantida_RC2 = "0";
					}
					else
					{
					$registro_AR2=mysql_fetch_array($sql_AR2);
					}
					if (mysql_numrows($sql_AR2)>0)
					{
					$Cantida_AR2=$registro_AR2["CANTIDAD"];	
					}
					
					///Detectar si el registro fue apto para el algoritmo
					if ($TotPieAna <= $Cantida_AR2)
					{
						$BarridoOk = $BarridoOk + 1;
					}
						
				}///Termina While 00				
			

///Validador General de Cantidades
	if ($BarridoOk == $BarridoWl)
		{///Inicia IF Validador General de Cantidades
		
			///Barrer todos los Codigos existentes dentro de la Orden de Trabajo
			$sql_W1=mysql_query("Select PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND (ESTADO_LINEA<>'MAQUILADA' AND ESTADO_LINEA<>'CANCELADA')");
			while($res_W1=mysql_fetch_array($sql_W1))
				{///Inicia While 01
					$Pedime_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
					$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
					$CodSku_w1 = $res_W1['SKU'];
					
					///Identificar el armado de la tarima por Codigo/Pedimento/TipoExtraccion
					$sql_RC1 = mysql_query("select CANTIDAD_X_TARIMA from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1'");					
					if (mysql_numrows($sql_RC1)==0) echo "";
					else{
					$registro_RC1=mysql_fetch_array($sql_RC1);
					}
					if (mysql_numrows($sql_RC1)>0)
					{
					$CanXTar_RC1=$registro_RC1["CANTIDAD_X_TARIMA"];
					}
					
					///Total de piezas por recolectar
						$TotPieRec = $NoTarimasEn * $CanXTar_RC1;
						
					///Identificar el pallet por Dividir
					$sql_RC2 = mysql_query("select ID,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,CANTIDAD,LOTE,LOTEWMS,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD from tabla_inventario where CVE_CUENTA='$CveCueCR1' AND SKU='$CodSku_w1' AND LOTEPRODU='$Pedime_w1' AND CANTIDAD>'0' AND UBICACION='200-1-1-1' AND EDO_CALIDAD='M' AND TIPO_ALMACEN='$TipExt_w1' Order By ID ASC");
					if (mysql_numrows($sql_RC2)==0) echo "";
					else{
					$registro_RC2=mysql_fetch_array($sql_RC2);
					}
					if (mysql_numrows($sql_RC2)>0)
					{
					$IdBasDa_RC2=$registro_RC2["ID"];
					$NoDocum_RC2=$registro_RC2["NO_DOCUMENTO"];
					$Complem_RC2=$registro_RC2["NO_DOC_COMPLE"];
					$CodiSku_RC2=$registro_RC2["SKU"];
					$SkuAlte_RC2=$registro_RC2["SKU_ALT"];
					$Descrip_RC2=$registro_RC2["DESCRIPCION"];
					$Cantida_RC2=$registro_RC2["CANTIDAD"];
					$ValLote_RC2=$registro_RC2["LOTE"];
					$LoteWms_RC2=$registro_RC2["LOTEWMS"];
					$Caducid_RC2=$registro_RC2["CADUCIDAD"];
					$Factura_RC2=$registro_RC2["FACTURA"];
					$Proveed_RC2=$registro_RC2["PROVEEDOR"];
					$PzaxCaj_RC2=$registro_RC2["PIEZASXCAJA"];
					$CajxPal_RC2=$registro_RC2["CAJASXPALLET"];
					$NoPalle_RC2=$registro_RC2["NO_PALLET"];
					$Ubicaci_RC2=$registro_RC2["UBICACION"];
					$Priorid_RC2=$registro_RC2["PRIORIDAD"];
					$TipUbic_RC2=$registro_RC2["TIPO_UBICACION"];
					$EdoCalid_RC2=$registro_RC2["EDO_CALIDAD"];		
					}
					
					$CanSobPallOri = $Cantida_RC2 - $TotPieRec;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
					
					///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$sqlGM1="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodSku_w1' AND LOTEPRODU='$Pedime_w1' AND CANTIDAD>'0' AND UBICACION='200-1-1-1' AND EDO_CALIDAD='M' AND TIPO_ALMACEN='$TipExt_w1' AND NO_PALLET='$NoPalle_RC2'";
					$resultadoGM1=mysql_query($sqlGM1,$conexion) or die(mysql_error());
					
					///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocum_RC2','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
					
					
					///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$TotPieRec." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$NoDocum_RC2','$Complem_RC2','$CodiSku_RC2','$SkuAlte_RC2','$Descrip_RC2','$FechaEnt','$TotPieRec','$ValLote_RC2','$LoteWms_RC2','$Pedime_w1','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$Ubicaci_RC2','$Priorid_RC2','$TipUbic_RC2','$EdoCalid_RC2','$UsuEn','$HoraOK2','$FechaEnt','$TipExt_w1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
					
					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					/////Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocum_RC2','$ClavePallet','$FechaPallet')";
					
///*******************************************************************************************************************************
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
					///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
						values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','DIVISION','$Ubicaci_RC2','$NoPalle_RC2','-$TotPieRec','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','DIVISION','$Ubicaci_RC2','$ClavePallet','$TotPieRec','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
					
///****************************************************************************************************************************				
				
			///Registro de Traspaso a Menos
				$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
				$lib_GF1 = mysql_query($sql_GF1); 
				$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
				$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
			///Guardar el registro de Traspaso a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO -','$Ubicaci_RC2','$ClavePallet','-$TotPieRec','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Traspaso a Mas
				$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
				$lib_GF2 = mysql_query($sql_GF2); 
				$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
				$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
			///Guardar el registro de Traspaso a Mas
				$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO +','300-1-1-1','$ClavePallet','$TotPieRec','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************
				
			///Registro de Cambio de Calidad a Menos
				$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_kardex"; 
				$lib_GF3 = mysql_query($sql_GF3); 
				$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
				$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD - $EdoCalid_RC2','300-1-1-1','$ClavePallet','-$TotPieRec','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Cambio de Calidad a Mas
				$sql_GF4 = "select max(ID) as ultimo_FOLIO_GF4 from tabla_kardex"; 
				$lib_GF4 = mysql_query($sql_GF4); 
				$rs_lib_GF4 = mysql_fetch_assoc($lib_GF4); 
				$id_nuevo_GF4 = $rs_lib_GF4['ultimo_FOLIO_GF4'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Mas
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF4','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD + PE','300-1-1-1','$ClavePallet','$TotPieRec','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());	
				
///****************************************************************************************************************************				
			//Guardar el registro del Pallet recolectado para asociarlo a la Orden de Trabajo
				$sql_ARec = "insert into extra_recoleccion_ordentrabajo 				(CVE_BODEGA,CVE_CUENTA,NO_ORDEN,SKU,PALLET,USUARIO,FECHA,HORA)
        		values('$CveBodCR1','$CveCueCR1','$NoOrdenEn','$CodiSku_RC2','$ClavePallet','$UsuEn','$FechaEnt','$HoraOK')";
				$resultado_ARec=mysql_query($sql_ARec,$conexion) or die(mysql_error());	
				
			
			///Identificar la Prioridad de Sutido de la Ubicación
				$sql_PS1 = mysql_query("select PRIORIDAD from tabla_prioridad where CVE_CUENTA='$CveCueCR1' AND UBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS1)==0) echo "";
				else{
				$registro_PS1=mysql_fetch_array($sql_PS1);
				}
				if (mysql_numrows($sql_PS1)>0)
				{
				$PriUbi_PS1=$registro_PS1["PRIORIDAD"];
				}
			
			///Identificar el Tipo de Ubicación
				$sql_PS2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones where CUENTA='$CveCueCR1' AND CLAVEUBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS2)==0) echo "";
				else{
				$registro_PS2=mysql_fetch_array($sql_PS2);
				}
				if (mysql_numrows($sql_PS2)>0)
				{
				$TipUbi_PS2=$registro_PS2["TIPODEUBICACION"];
				}
				
			///Guarda el Traspaso y el cambio de Calidad del Pallet Nuevo y/o Recolectado - Modifica la tabla del Inventario
				$sql_GMPN="UPDATE tabla_inventario SET UBICACION='300-1-1-1',PRIORIDAD='$PriUbi_PS1',TIPO_UBICACION='$TipUbi_PS2',EDO_CALIDAD='PE' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodiSku_RC2' AND ID='$id_nuevoPPall' AND NO_PALLET='$ClavePallet'";
				$resultado_GMPN=mysql_query($sql_GMPN,$conexion) or die(mysql_error());	
				
			///****************************************************************************************************************************


			///Sumar el total de piezas que se han Trabajado de Maquila y que ahora estan en el Area de Producto Terminado
				$sql_Sum = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_Sum FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum = mysql_query($sql_Sum); 
				$PrePiezas_Sum = mysql_fetch_assoc($res_Sum);
				$Total_Sum =  $PrePiezas_Sum ['ObtCant_Sum'];
				
				$TotPieTra = $Total_Sum + $TotPieRec;
			
			///Guardar el total de piezas que se han Trasladado al Area de Producción
				$sql_TTra="UPDATE extra_ordentrabajo SET CANTIDAD_TRABAJADA='$TotPieTra' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
				$resultado_TTra=mysql_query($sql_TTra,$conexion) or die(mysql_error());
				
				
			///Comparar la Cantidad por Maquilar VS la Cantidad Maquilada para poder Cambiar el Estatus de la Linea
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_Sum2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_Sum2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum2 = mysql_query($sql_Sum2); 
				$PrePiezas_Sum2 = mysql_fetch_assoc($res_Sum2);
				$Total_Sum2 =  $PrePiezas_Sum2 ['ObtCant_Sum2'];
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_Sum3 = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_Sum3 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum3 = mysql_query($sql_Sum3); 
				$PrePiezas_Sum3 = mysql_fetch_assoc($res_Sum3);
				$Total_Sum3 =  $PrePiezas_Sum3 ['ObtCant_Sum3'];
				
				if ($Total_Sum2==$Total_Sum3)
					{
						///Modifica el estado de la Linea dentro de la Orden
						$sql_MELO="UPDATE extra_ordentrabajo SET ESTADO_LINEA='MAQUILADA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
						$resultado_MELO=mysql_query($sql_MELO,$conexion) or die(mysql_error());
					}
				
			}///Termina While 01
		
		
				
				echo "<script>alert('Recolección Procesada correctamente');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				
	}///Termina IF Validador General de Cantidades	
	else
	{///Inicia Else Validador General de Cantidades	
				echo "<script>alert('Atención:\\n\\nLa cantidad de tarimas por recolectar sobrepasan la cantidad de piezas existentes.\\n\\nFavor de canalizarlo al Administrador del Sistema');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
	}///Termina Else Validador General de Cantidades	
	
	?>
            </td>
	      </tr>
		  <tr>
		    <td width="77"></td>
		    <td width="113">&nbsp;</td>
	      </tr>
		  <tr>
		    <td colspan="2">
               <input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        	<input type="hidden" name="txt_Orden"
		value="<?PHP echo $NoOrdenEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">&nbsp;</td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">&nbsp;</td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz GrÃ¡fica -->
<?PHP
} ///Inicia IF Incidencia en # de Tarimas 02
} ///Inicia IF Incidencia en # de Tarimas 01
} ///Inicia IF Detecto de catidades en Armados de Tarima
} ///Inicia IF Validador de Armado de Tarima
} ///Termina IF Validador de Orden de Trabajo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
